# Computational Geometry in C, 2nd Edition

This is the project I use for storing all of the code in the book _Computational Geometry in C, 2nd Edition_ by
Joseph O'Rourke.

Much of the code is copied verbatim, however I took the time to fix a few memory leaks and made other small changes
to make the code more maintainable across different chapters. In particular, I wrote the code without an assumption
of a global vertex pointer in order to make debugging functions significantly easier. I also added a few
freeing functions that were not featured in the book.

## Some Notes

There are a handful of instances where I am using constant pointers or double pointers (pointers to pointers) that
I need to go back and fix. Additionally, Valgrind does not work on OS X right now (1/26/2020) so I cannot verify
the code is leak-free.

## Compilation and Running

To compile the code:

```sh
cd <directory of repository>
cmake .
make
./bin/cgc
```